# Sales Timesheet: exclude Timesheet Line from Sale Order

Allows to exclude specific Timesheet line from Sale Order.

This feature proves itself useful for By Task billing approach, when a specific timesheet entry tracked towards a billable task needs to be excluded from the Sale Order.

This functionality is not available in Odoo, reported in odoo/odoo#31043.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To exclude a specific timesheet entry from invoicing:

> # Go to Timesheets > Timesheet > All Timesheets # On the Timesheet list view, check Non-billable for specific timesheet entries

or:

> # Go to Project > All Tasks, ans open a specific Task form # On the Task form, Timesheets tab, check Non-billable for specific timesheet entries

To have access to this Non-billable field, the user must be added to the Exclude timesheets from sale order security group.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- CorporateHub

## Contributors

- CorporateHub
  - Alexey Pelykh <alexey.pelykh@corphub.eu>
  - Freni Patel <fpatel@opensourceintegrators.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/timesheet project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.